from src.convert.basic_converter import basic_converter
from src.convert.datetime_converter import datetime_converter
from src.convert.model_converter import model_converter


class converter_factory:
    @staticmethod
    def create_basic():
        return basic_converter()

    @staticmethod
    def create_model():
        return model_converter()

    @staticmethod
    def create_datetime():
        return datetime_converter()
