from src.convert.basic_converter import basic_converter
from src.convert.converter import converter


class model_converter(converter):
    @staticmethod
    def convert(obj):
        properties = {}
        for name in dir(obj.__class__):
            if name == "error":
                continue
            attr = getattr(obj.__class__, name)
            if isinstance(attr, property):
                properties[name] = basic_converter.convert(attr.fget(obj))
        return properties
